Bug 355901 - tzdata has wrong info for CDT
tzdata has wrong info for CDT
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-28 11:39 EDT by Michael Rice
Modified: 2015-05-04 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:45:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Rice 2007-10-28 11:39:33 EDT
Description of problem:
tzdata-2007h-1.fc7 has the wrong info for Central time


Version-Release number of selected component (if applicable):
tzdata-2007h-1.fc7


How reproducible:


Steps to Reproduce:
zdump -v /usr/share/zoneinfo/America/Chicago|grep 2007
Actual results:
/usr/share/zoneinfo/America/Chicago  Sun Apr  1 07:59:59 2007 UTC = Sun Apr  1
01:59:59 2007 CST isdst=0 gmtoff=-21600
/usr/share/zoneinfo/America/Chicago  Sun Apr  1 08:00:00 2007 UTC = Sun Apr  1
03:00:00 2007 CDT isdst=1 gmtoff=-18000
/usr/share/zoneinfo/America/Chicago  Sun Oct 28 06:59:59 2007 UTC = Sun Oct 28
01:59:59 2007 CDT isdst=1 gmtoff=-18000
/usr/share/zoneinfo/America/Chicago  Sun Oct 28 07:00:00 2007 UTC = Sun Oct 28
01:00:00 2007 CST isdst=0 gmtoff=-21600  



Expected results:
/usr/share/zoneinfo/America/Chicago  Sun Mar 11 07:59:59 2007 UTC = Sun Mar 11
01:59:59 2007 CST isdst=0 gmtoff=-21600
/usr/share/zoneinfo/America/Chicago  Sun Mar 11 08:00:00 2007 UTC = Sun Mar 11
03:00:00 2007 CDT isdst=1 gmtoff=-18000
/usr/share/zoneinfo/America/Chicago  Sun Nov  4 06:59:59 2007 UTC = Sun Nov  4
01:59:59 2007 CDT isdst=1 gmtoff=-18000
/usr/share/zoneinfo/America/Chicago  Sun Nov  4 07:00:00 2007 UTC = Sun Nov  4
01:00:00 2007 CST isdst=0 gmtoff=-21600


Additional info:
Comment 1 Petr Machata 2007-10-29 13:33:03 EDT
$ rpm -q tzdata
tzdata-2007h-1.fc7
$ /usr/sbin/zdump -v /usr/share/zoneinfo/America/Chicago|grep 2007
/usr/share/zoneinfo/America/Chicago  Sun Mar 11 07:59:59 2007 UTC = Sun Mar 11
01:59:59 2007 CST isdst=0 gmtoff=-21600
/usr/share/zoneinfo/America/Chicago  Sun Mar 11 08:00:00 2007 UTC = Sun Mar 11
03:00:00 2007 CDT isdst=1 gmtoff=-18000
/usr/share/zoneinfo/America/Chicago  Sun Nov  4 06:59:59 2007 UTC = Sun Nov  4
01:59:59 2007 CDT isdst=1 gmtoff=-18000
/usr/share/zoneinfo/America/Chicago  Sun Nov  4 07:00:00 2007 UTC = Sun Nov  4
01:00:00 2007 CST isdst=0 gmtoff=-21600
$ cat /etc/redhat-release 
Fedora release 7 (Moonshine)
$ uname -a 
Linux hridell 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 23:10:59 EDT 2007 i686 i686 i386
GNU/Linux

It looks like hiccup on your side, but frankly, I have no idea how that could
happen.  Could you take a look at bug 356771? More people seem to have problems
with tzdata that might be related.
Comment 2 Petr Machata 2007-10-29 15:03:14 EDT
Could you please issue the following and copy the output over here? (Assuming
you still observe the problem...)

ls -ls /usr/share/zoneinfo/{America/Chicago,Asia/Kuala_Lumpur}
sha1sum /usr/share/zoneinfo/{America/Chicago,Asia/Kuala_Lumpur}
Comment 3 Michael Rice 2007-10-30 00:57:12 EDT
» ls -ls /usr/share/zoneinfo/{America/Chicago,Asia/Kuala_Lumpur} 
4 -rw-r--r-- 2 root root 1402 2007-07-30 18:12 /usr/share/zoneinfo/America/Chicago
4 -rw-r--r-- 1 root root  372 2007-10-01 10:54 /usr/share/zoneinfo/Asia/Kuala_Lumpur
» sha1sum /usr/share/zoneinfo/{America/Chicago,Asia/Kuala_Lumpur}
8b65d22571a215a501abaf2946671616e2e576d3  /usr/share/zoneinfo/America/Chicago
fc6d2eb0ce8304e3a2aba7ab4570000fd1335207  /usr/share/zoneinfo/Asia/Kuala_Lumpur
» rpm -q tzdata
tzdata-2007h-1.fc7
» uname -a     
Linux tehb0x 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 20:47:39 EDT 2007 x86_64 x86_64
x86_64 GNU/Linux

Comment 4 Petr Machata 2007-10-30 09:01:41 EDT
This looks weird.  Your America/Chicago file has timestamp of 30/Jul, and I
can't figure out which build could it come from.  Also the sha1sum of that file
is wrong... This looks like some files were not updated for some reason, but
then again I have no idea where the America/Chicago comes from in the first
place.  "rpm -V tzdata" passes?

Also, how many similarly damaged files are there?  You can find out e.g. by this
invocation:
find /usr/share/zoneinfo/ \( -name posix -prune \) -o \( -name right -prune \)
-o -type f -exec ls -ls {} + | grep -v 2007-10-01
I probably don't need exact list, I'm more interested in whether it's single
file problem, or it's more like half/half...

Also, could you attach your America/Chicago file here in bugzilla?  I'd like to
see if it was e.g. partially written or something.

So far it pretty much looks like a problem related to rpm, or the way packages
are distributed (but then again, rpm always checks for package signature, so
damaged package should be spotted).
Comment 5 Bug Zapper 2008-05-14 10:53:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:44:58 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.